<launch>
  <arg name="publish_rate" default="50" />
  <arg name="idle_timeout" default="20" />
  <arg name="ns" default="antx" />

  <node pkg="setpoint_buffer" type="setpoint_buffer_node" name="setpoint_buffer_node" output="screen">
    <param name="publish_rate" value="$(arg publish_rate)" />
    <param name="idle_timeout" value="$(arg idle_timeout)" />
    <rosparam command="load" file="$(find setpoint_buffer)/params/topic_names.yaml" subst_value="true"/>
  </node>
</launch>